Loading...
Searching...
No Matches
Catch::Clara::Detail::UnaryLambdaTraits< ReturnT(ClassT::*)(ArgT) const > Struct Template Reference

`#include <catch_amalgamated.hpp>`

## Public Types

using | ArgType = std::remove_const_t<std::remove_reference_t<ArgT>>
using | ReturnType = ReturnT

## Static Public Attributes

static const bool | isValid = true

## Member Typedef Documentation

## ArgType

template<typename ClassT, typename ReturnT, typename ArgT>

using Catch::Clara::Detail::UnaryLambdaTraits< ReturnT(ClassT::*)(ArgT) const >::ArgType = std::remove_const_t<std::remove_reference_t<ArgT>>

## ReturnType

template<typename ClassT, typename ReturnT, typename ArgT>

using Catch::Clara::Detail::UnaryLambdaTraits< ReturnT(ClassT::*)(ArgT) const >::ReturnType = ReturnT

## Member Data Documentation

## isValid

template<typename ClassT, typename ReturnT, typename ArgT>

const bool Catch::Clara::Detail::UnaryLambdaTraits< ReturnT(ClassT::*)(ArgT) const >::isValid = true

static

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp